## ros-noetic-pid 0.0.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pid)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  dynamic_reconfigure
)
find_package(Boost REQUIRED COMPONENTS system)

generate_dynamic_reconfigure_options(
    cfg/Pid.cfg
)

catkin_package(
  INCLUDE_DIRS include
   CATKIN_DEPENDS roscpp std_msgs message_runtime dynamic_reconfigure
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${dynamic_reconfigure_PACKAGE_PATH}/cmake/cfgbuild.cmake
)

add_executable(controller src/controller.cpp src/pid.cpp)
add_executable(plant_sim src/plant_sim.cpp)
add_executable(setpoint_node src/setpoint_node.cpp)
add_executable(sim_time src/sim_time.cpp)
add_executable(autotune src/autotune.cpp)

add_dependencies(controller ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
add_dependencies(plant_sim ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
add_dependencies(setpoint_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
add_dependencies(sim_time ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
add_dependencies(autotune ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

target_link_libraries(controller ${catkin_LIBRARIES})
target_link_libraries(plant_sim ${catkin_LIBRARIES})
target_link_libraries(setpoint_node ${catkin_LIBRARIES})
target_link_libraries(sim_time ${catkin_LIBRARIES})
target_link_libraries(autotune ${catkin_LIBRARIES})

install(TARGETS controller plant_sim setpoint_node sim_time autotune
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-noetic-pid (0.0.28-1focal) focal; urgency=high

  * Fix compatibility issues when building with ROS Noetic
  * Bug fix for angle wrapping always resetting filtered and integral error
  * Adding a parameter setpoint_timeout which specifies whether to keep publishing control_effort messages after setpoint messages stop coming in
  * Add link to low-pass filter reference
  * Cleaning up package.xml just a bit more.
  * Removing a bunch of superfluous dependencies.
  * Cleaning CMakeLists.
  * Upgrade to package format=2
  * Contributors: Andrew J Zelenak, AndyZe, Stewart Jamieson, Vikrant Shah

 -- Andy Zelenak <andyz@utexas.edu>  Fri, 03 Jul 2020 05:00:00 -0000

ros-noetic-pid (0.0.15-1focal) focal; urgency=high

  * Fixing header "include" error, possible dynamic_reconfigure errors.
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Mon, 22 Feb 2016 06:00:00 -0000

ros-noetic-pid (0.0.10-1focal) focal; urgency=high

  * Add diagnostics running at 4Hz. Publish interesting data like setpoint, plant state,
  error, control effort in diags for viewing
  * Add ROS private parameters to set Pid params and simulator param
  * Add Auto/Manual mode: Listen to the /pid_enable topic for a std_msgs/Bool
  that will disable or re-enable output from the PID controller
  * Support reverse_acting parameter, for plants where the control input acts
  in the opposite direction to the plant-state. E.g. Differential-drive robots
  often have one direct and one reverse-acting PID
  * Support faster-than-wallclock simulation via a /clock publisher and the
  /use_sim_time parameter
  * Add launch files for first & 2nd order behaviors. Get them to launch plots,
  diag monitor, reconfigure gui
  * Split setpoint generator out into a separate node
  * Rename simulator to plant_sim.cpp & give it 1st & 2nd order behaviors, configured
  with a parameter.
  * Delete first_order_plant_sim.cpp, which is subsumed into plant_sim.cpp. Remove
  plant header, which was almost content-free.
  * Remove msg directory & switch to using Float64 messages for setpoint,
  process state, & control effort. Now it's generic - no special messages needed.
  * Explicitly call out std namespace to avoid accidental name conflicts
  * Remove parameter length checks to allow parameters to be set in part from
  launch file (the usual way), and in part from cmd line args (an infrequently-used
  way)
  * Rename pid_header.h to controller.h because it's used by controller.cpp - more standard
  C++ naming style
  * Add copyrights
  * Contributors: AndyZe, Paul Bouchier

 -- Andy Zelenak <andyz@utexas.edu>  Mon, 25 Jan 2016 06:00:00 -0000

ros-noetic-pid (0.0.9-1focal) focal; urgency=high

  * Merged in bouchier/pid (pull request #1)
    Add dynamic reconfigure for Kx, change plant setpoint
  * add dynamic reconfigure for Kx, change plant setpoint
  * Contributors: AndyZe, Paul Bouchier

 -- Andy Zelenak <andyz@utexas.edu>  Sun, 27 Dec 2015 06:00:00 -0000

ros-noetic-pid (0.0.7-1focal) focal; urgency=high

  * Added a launch file, which required the arguments to be processed differently.
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Sun, 26 Jul 2015 05:00:00 -0000

ros-noetic-pid (0.0.6-1focal) focal; urgency=high

  * Changing the way parameters are passed to check_user_input().
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Tue, 09 Jun 2015 05:00:00 -0000

ros-noetic-pid (0.0.5-1focal) focal; urgency=high

  * Adding an anti-windup option.
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Tue, 09 Jun 2015 05:00:00 -0000

ros-noetic-pid (0.0.3-1focal) focal; urgency=high



 -- Andy Zelenak <andyz@utexas.edu>  Sat, 14 Mar 2015 05:00:00 -0000

ros-noetic-pid (0.0.2-1focal) focal; urgency=high



 -- Andy Zelenak <andyz@utexas.edu>  Fri, 13 Mar 2015 05:00:00 -0000

ros-noetic-pid (0.0.1-1focal) focal; urgency=high

  * Fixing various minor bugs related to user input.
  * Pre-release commit.
  * It WORKS!
  * It's talking with the plant sim now. Just the PID programming remains.
  * Making progress with the command line input.
  * Rough outline of the program. Need to take inputs on the command line next.
  * Initial commit
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Sun, 08 Mar 2015 06:00:00 -0000

=== debian/control ===
Source: ros-noetic-pid
Section: misc
Priority: optional
Maintainer: Andy Zelenak <andyz@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/pid
Standards-Version: 3.9.2

Package: ros-noetic-pid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-std-msgs
Description: Launch a PID control node.
